Bug 73909 - [patch] rc.d/sshd does not work with ports-ssh
Summary: [patch] rc.d/sshd does not work with ports-ssh
Status: Closed FIXED
Alias: None
Product: Base System
Classification: Unclassified
Component: conf (show other bugs)
Version: 4.10-STABLE
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-rc mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-11-13 16:50 UTC by Oliver Lehmann
Modified: 2006-06-07 11:46 UTC (History)
1 user (show)

See Also:


Attachments
sshd.diff (2.27 KB, patch)
2004-11-13 16:50 UTC, Oliver Lehmann
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Oliver Lehmann freebsd_committer 2004-11-13 16:50:27 UTC
	the script complains about a nonexistent /usr/sbin/ssh-keygen... that is
	true.. because it is instaled in /usr/local/bin/ssh-keygen if I use sshd
	from ports

How-To-Repeat:         don't install base-ssh and base-ssl
        remove /etc/ssh
        keep sshd_enable="YES" and sshd_program="/usr/local/sbin/sshd" in your rc.conf
        run /etc/rc.d/sshd start
Comment 1 Doug Barton freebsd_committer 2005-12-05 09:17:23 UTC
Responsible Changed
From-To: freebsd-bugs->freebsd-rc


Bring this to the attention of the list
Comment 2 flz 2006-03-20 19:52:24 UTC
Sounds correct to me, and that way we could remove sshd.sh installed
from security/openssh*.

dougb/brooks cc'ed since they're my usual candidates when seeking
approval :)

Florent
Comment 3 brooks 2006-03-21 01:29:45 UTC
On Mon, Mar 20, 2006 at 08:52:24PM +0100, Florent Thoumie wrote:
> Sounds correct to me, and that way we could remove sshd.sh installed
> from security/openssh*.
> 
> dougb/brooks cc'ed since they're my usual candidates when seeking
> approval :)


It's OK as far as it goes.  I'd be tempted to have the script create
symlinks to /etc/ssh/XXX when it exists and ETCDIR/ssh/XXX does not, but
I don't think that's absolutly necessicary.

-- Brooks

-- 
Any statement of the form "X is the one, true Y" is FALSE.
PGP fingerprint 655D 519C 26A7 82E7 2529  9BF0 5D8E 8BE9 F238 1AD4
Comment 4 Florent Thoumie freebsd_committer 2006-04-18 12:53:05 UTC
State Changed
From-To: open->patched

I committed a fix some days ago. I'm waiting for the freeze to end to 
MFC this change to RELENG_[56].
Comment 5 Florent Thoumie freebsd_committer 2006-06-07 11:46:16 UTC
State Changed
From-To: patched->closed

MFC'ed to RELENG_6.